com.aliyun.svideosdk.common.struct.common

## Enum AliyunDisplayMode

- java.lang.Object
- - java.lang.Enum<AliyunDisplayMode>
  - - com.aliyun.svideosdk.common.struct.common.AliyunDisplayMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AliyunDisplayMode>

      public enum AliyunDisplayMode
      extends java.lang.Enum<AliyunDisplayMode>

  视频转场模式

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliyunDisplayMode` | `getInstanceByValue(int value)`
    `static AliyunDisplayMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AliyunDisplayMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final AliyunDisplayMode DEFAULT

  - ### Method Detail

    - #### values

          public static AliyunDisplayMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AliyunDisplayMode c : AliyunDisplayMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AliyunDisplayMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getInstanceByValue

          public static AliyunDisplayMode getInstanceByValue(int value)